<?php

namespace App\Doctrine\Extension;

use App\Entity\Thematic;
use Doctrine\ORM\Mapping as ORM;

trait DescriptionProjectTrait
{

    /**
     * @ORM\Column(type="text")
     */
    private $description;

    /**
     * @ORM\ManyToOne(targetEntity=Thematic::class)
     */
    private $thematic;

    public function getDescription(): ?string
    {
        return $this->description;
    }

    public function setDescription(string $description): self
    {
        $this->description = $description;

        return $this;
    }

    public function getThematic(): ?Thematic
    {
        return $this->thematic;
    }

    public function setThematic(?Thematic $thematic): self
    {
        $this->thematic = $thematic;

        return $this;
    }

}